Page MenuHomePhabricator

[[MediaWiki:Botpasswords-deleted-body/en]] misses GENDER support
Closed, ResolvedPublic

Event Timeline

Macofe created this task.Mar 12 2016, 5:26 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 12 2016, 5:26 AM
Aklapper renamed this task from [[MediaWiki:Botpasswords-deleted-body/en]] i18n issue to [[MediaWiki:Botpasswords-deleted-body/en]] mises GENDER support.Mar 12 2016, 2:10 PM

Is GENDER support needed? I can't see a way that it is needed.

Is GENDER support needed? I can't see a way that it is needed.

By searching via Special:Translations, I found that those messages are actually faceing-to-faceing grammatical gender issues:

  • Botpasswords-deleted-body/cs @Mormegil @LordMsz
  • Botpasswords-updated-body/cs
  • Botpasswords-created-body/cs
  • Botpasswords-deleted-body/ksh (sadly, @Purodha is deceased last year)
  • Botpasswords-updated-body/ksh
  • Botpasswords-created-body/ksh

Is GENDER support needed? I can't see a way that it is needed.

Well, the message directly references the user (“user "$2"”), who could obviously be he or she (even in English, you have e.g. actor and actress, in other languages, this is the basic case for (almost) all words). That is quite a basic case of “genderization needed”.

Nemo_bis renamed this task from [[MediaWiki:Botpasswords-deleted-body/en]] mises GENDER support to [[MediaWiki:Botpasswords-deleted-body/en]] misses GENDER support.May 20 2017, 3:26 PM
Nemo_bis triaged this task as Normal priority.
Nemo_bis added a project: good first bug.
D3r1ck01 added a subscriber: D3r1ck01.

Willing to mentor this for Google-Code-in-2017.

MtDu added a subscriber: MtDu.Nov 14 2017, 3:07 AM

Is GENDER support needed? I can't see a way that it is needed.

Well, the message directly references the user (“user "$2"”), who could obviously be he or she (even in English, you have e.g. actor and actress, in other languages, this is the basic case for (almost) all words). That is quite a basic case of “genderization needed”.

How so? Isn't user a generic term, gender neutral, and $2 the username of the user? Seems like this is an invalid task. Can you check on this @D3r1ck01 because if it's invalid, we need to remove it from Google-Code-in-2017

D3r1ck01 updated the task description. (Show Details)Nov 14 2017, 1:41 PM
D3r1ck01 added a comment.EditedNov 14 2017, 1:48 PM

@MtDu, just checking the language file now and seeing that these messages indeed may not need GENDER support as now it returns just the username and bot name in a special statement. In case there is no username, the statement won't quite make sense as there won't be a bot name, what do you think? Bot is kinda tied to the user, is that the case?

Original message;

The bot password for bot name "$1" of user "$2" was deleted.

Some possible examples;

The bot password for bot name "A" of user "X" was deleted.

Looking at the above example, gender neutral may not work there. @Macofe, can you give any use case?
Correct me if I am wrong!

Well, the message directly references the user (“user "$2"”), who could obviously be he or she (even in English, you have e.g. actor and actress, in other languages, this is the basic case for (almost) all words). That is quite a basic case of “genderization needed”.

How so? Isn't user a generic term, gender neutral, and $2 the username of the user? Seems like this is an invalid task. Can you check on this @D3r1ck01 because if it's invalid, we need to remove it from Google-Code-in-2017

Well, sure, in English, “user” is a “generic term, gender neutral”. But we are talking about localization to other languages, right? And there are languages other than English, where there is no such thing as a “gender-neutral user”. If you need a specific example, take Czech: A male user is “uživatel”, a female user is “uživatelka”. So, the message in Czech needs to be e.g.

Heslo pro bota jménem „$1“ {{GENDER:$2|uživatele|uživatelky}} „$2“ bylo smazáno.

(Theoretically, you could say even the bots might have different genders as well, and genderize even $1, but we could live without that, I guess.)

MtDu added a comment.Nov 15 2017, 12:17 PM

Well, sure, in English, “user” is a “generic term, gender neutral”. But we are talking about localization to other languages, right? And there are languages other than English, where there is no such thing as a “gender-neutral user”. If you need a specific example, take Czech: A male user is “uživatel”, a female user is “uživatelka”. So, the message in Czech needs to be e.g.

Heslo pro bota jménem „$1“ {{GENDER:$2|uživatele|uživatelky}} „$2“ bylo smazáno.

(Theoretically, you could say even the bots might have different genders as well, and genderize even $1, but we could live without that, I guess.)

Ah I see @Mormegil. My apologies. Just wanted to ensure this task was valid. I'll take a look this weekend and maybe sign up to mentor it as well!

I'm not exactly sure what should be done about this task. If I undestand it correctly, there should be added GENDER macros to internationalization strings so that the translatewiki will give people the ability to internationalizate these strings, right?

Change 394761 had a related patch set uploaded (by Albert221; owner: Albert221):
[mediawiki/core@master] Add GENDER where strings could differ

https://gerrit.wikimedia.org/r/394761

Change 394761 merged by jenkins-bot:
[mediawiki/core@master] Add GENDER where strings could differ

https://gerrit.wikimedia.org/r/394761

D3r1ck01 closed this task as Resolved.Dec 2 2017, 5:48 PM
D3r1ck01 added a subscriber: Bawolff.

Thanks @Albert221 for working on this and thanks @Bawolff for merging! Marking as resolved and @Albert221, your submission has been approved on GCI. Thank you. Keep it up.